using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace MigrationsDemo.Model
{
    public class User
    {

        public int Id { get; set; }

        [Required]
        [StringLength(100)]
        public string UserName { get; set; }

        [StringLength(100)]
        public string PasswordSalt { get; set; }

        [StringLength(100)]
        public string PasswordHash { get; set; }
        

        public virtual ICollection<UserRole> UserRoles { get; } = new List<UserRole>();

    }
}